%define item vtun

Name: vtund
Version: 2.6
Release: alt3

Summary: Virtual tunnel over TCP/IP networks.
License: GPL
Group: System/Servers
URL: http://vtun.sourceforge.net/
Packager: Peter V. Saveliev <peet@altlinux.ru>

Source0: %item-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig
Source3: %name.client.sysconfig
Source4: %name.bug4231.sh

Provides: vtund

%set_autoconf_version 2.5
%set_automake_version 1.7

BuildPreReq: autoconf_2.5 automake_1.7


# Automatically added by buildreq on Fri May 28 2004
BuildRequires: flex liblzo-devel libssl-devel zlib-devel

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP
networks and allows to shape, compress, encrypt traffic in that
tunnels.  Supported type of tunnels are: PPP, IP, Ethernet and most of
other serial protocols and programs.

VTun is easily and highly configurable: it can be used for various
network tasks like VPN, Mobil IP, Shaped Internet access, IP address
saving, etc.  It is completely a user space implementation and does
not require modification to any kernel parts.

%prep

%setup -q -n %item
%__aclocal
%__autoconf
%configure  --prefix=%_usr                  \
	    --sysconfdir=%_sysconfdir       \
	    --localstatedir=%_localstatedir

%build
%make_build

%install
%__install -d %buildroot{%_sbindir,%_libdir/%name,%_man8dir,%_man5dir,%_initdir,%_sysconfdir/sysconfig/%name}
%__install -pm640 vtund.conf   %buildroot%_sysconfdir
%__install -pm755 %SOURCE1     %buildroot%_initdir/vtund
%__install -pm640 %SOURCE2     %buildroot%_sysconfdir/sysconfig/vtund_server
%__install -pm640 %SOURCE3     %buildroot%_sysconfdir/sysconfig/%name/backup
%__install -pm755 %SOURCE4     %buildroot%_libdir/%name/bug4231.sh
%__install -pm755 vtund        %buildroot%_sbindir
%__install -pm644 vtund.conf.5 %buildroot%_man5dir
%__install -pm644 vtund.8      %buildroot%_man8dir


#post
#post_service %name

#preun
#preun_service %name

%files
%doc ChangeLog Credits FAQ README README.Setup README.Shaper TODO
%doc TODO vtund.conf 
%config(noreplace) %_sysconfdir/vtund.conf
%config(noreplace) %_sysconfdir/sysconfig/vtund_server
%config(noreplace) %_sysconfdir/sysconfig/%name/backup
%_initdir/*
%_sbindir/*
%_libdir/%name/
%_man8dir/*
%_man5dir/*


%changelog
* Tue May 27 2004 Peter V. Saveliev <peet@altlinux.ru> 2.6-alt3
- Startup script changed, so it is possible to perform an action upon
    explicit session

* Tue May 18 2004 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 2.6-alt2
- Updated package requires
- Added changelog description

* Sun Jan 11 2004 Peter V. Saveliev <peet@altlinux.ru> 2.6-alt1
- Initial release
